package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0196
 * @Description :颅脑损伤患者昏迷时间未填写
 * @Author : 胡敬
 * @Date: 2020-03-17 16:28
 */
@Component
public class FIRP0196 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        /**
         * 如果入院前天数和入院后天数不为空，且不是数字，例如是“-”，就不报错
         * 如果天数是数字，那么小时和分都不能为空
         */
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String brainInjur_before = firstpageStructureMap.get("入院前颅脑损伤患者昏迷时间");
            String brainInjur_after = firstpageStructureMap.get("入院后颅脑损伤患者昏迷时间");
            if(StringUtils.isBlank(brainInjur_before) || StringUtils.isBlank(brainInjur_after)){
                status.set("-1");
                return;
            }

        }
    }
}